Subject: Re: linux-next: manual merge of the perfmon3 tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 25 Nov 2008 11:22:34 +0100

* Stephen Rothwell <[email-masked]> wrote:

> Hi Stephane,
> 
> Today's linux-next merge of the perfmon3 tree got a conflict in 
> arch/x86/kernel/entry_64.S between commit 
> 322648d1ba75280d62f114d47048beb0b35f5047 ("x86: include ENTRY/END in 
> entry handlers in entry_64.S") from the x86 tree and commit 
> 3511a04973eaac18ee386f0db8c109e589019511 ("perfmon: x86-64 hooks") 
> from the perfmon3 tree.

very emphatic NAK on carrying such x86 changes in the perfmon tree, 
and putting that into linux-next!

Those perfmon changes should be submitted to the x86 tree. The code it 
touches is sensitive and the design questions matter a lot as well.

	Ingo